org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class CAURICollection

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.CAURICollection

-     public class CAURICollection
      extends Object

  Java class for CAURICollection complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CAURICollection">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="cAURI" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}CAURI" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<CAURI>` | `cauri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CAURICollection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CAURI>` | `getCAURI()` Gets the value of the cauri property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cauri

          protected List<CAURI> cauri

  - ### Constructor Detail

    - #### CAURICollection

          public CAURICollection()

  - ### Method Detail

    - #### getCAURI

          public List<CAURI> getCAURI()

      Gets the value of the cauri property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cauri property.

      For example, to add a new item, do as follows:

              getCAURI().add(newItem);

      Objects of the following type(s) are allowed in the list `CAURI`

Copyright © 2017 WSO2. All rights reserved.